JtdsDataSourceUnitTest.Test_JtdsDataSource_getReference (jTDS API)
Keywords: net.sourceforge.jtds.test.JtdsDataSourceUnitTest.Test_JtdsDataSource_getReference class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.test
Class JtdsDataSourceUnitTest.Test_JtdsDataSource_getReference

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sourceforge.jtds.test.DefaultPropertiesTestLibrary
                  net.sourceforge.jtds.test.JtdsDataSourceUnitTest.Test_JtdsDataSource_getReference

All Implemented Interfaces:
  junit.framework.Test

Enclosing class:
  JtdsDataSourceUnitTest

public static class JtdsDataSourceUnitTest.Test_JtdsDataSource_getReference
extends DefaultPropertiesTestLibrary

Class used to test `JtdsDataSource.getReference()`.

Field Summary

Fields inherited from class net.sourceforge.jtds.test.DefaultPropertiesTestLibrary
``

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`JtdsDataSourceUnitTest.Test_JtdsDataSource_getReference()` Default constructor.

Methods inherited from class net.sourceforge.jtds.test.DefaultPropertiesTestLibrary
`getTester, isOnlySqlServerTests, isOnlyTds70Tests, setOnlySqlServerTests, setOnlyTds70Tests, setTester, suite, test_appName, test_batchSize, test_bindAddress, test_bufferDir, test_bufferMaxMemory, test_bufferMinPackets, test_cacheMetaData, test_databaseName, test_lastUpdateCount, test_lobBuffer, test_loginTimeout, test_macAddress, test_namedPipe, test_packetSize, test_portNumber, test_prepareSql, test_processId, test_progName, test_sendStringParametersAsUnicode, test_serverType, test_socketKeepAlive, test_socketTimeout, test_tcpNoDelay, test_tds, test_useCursors, test_useJCIFS, test_useLOBs, test_wsid`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JtdsDataSourceUnitTest.Test_JtdsDataSource_getReference

    public JtdsDataSourceUnitTest.Test_JtdsDataSource_getReference()

  Default constructor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on December 30 2009